Skip to main content
GET
/
contacts
/
:contact_id
/
segments
import { Resend } from 'resend';

const resend = new Resend('re_xxxxxxxxx');

const { data, error } = await resend.contacts.segments.list({
  id: 'e169aa45-1ecf-4183-9955-b1499d5701d3',
});
{
  "object": "list",
  "data": [
    {
      "id": "78261eea-8f8b-4381-83c6-79fa7120f1cf",
      "name": "Registered Users",
      "created_at": "2026-10-06T22:59:55.977Z"
    }
  ],
  "has_more": false
}

Documentation Index

Fetch the complete documentation index at: https://resend.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

Either id or email must be provided.
id
string
The Contact ID.
email
string
The Contact Email.
import { Resend } from 'resend';

const resend = new Resend('re_xxxxxxxxx');

const { data, error } = await resend.contacts.segments.list({
  id: 'e169aa45-1ecf-4183-9955-b1499d5701d3',
});
{
  "object": "list",
  "data": [
    {
      "id": "78261eea-8f8b-4381-83c6-79fa7120f1cf",
      "name": "Registered Users",
      "created_at": "2026-10-06T22:59:55.977Z"
    }
  ],
  "has_more": false
}